#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let url = "https://www.rust-lang.org";
    let contents = reqwest::get(url)
        .await?
        .text()
        .await?;
    println!("{:?}", contents);
    Ok(())
}
